Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 9777)
+++ /trunk/language/de_DE/admin.lang.php	(revision 9778)
@@ -546,8 +546,8 @@
 $lang['GD library is missing'] = 'die GD-Library ist nicht auf dem Server installiert, bitte frage den Administrator oder Provider.';
 $lang['Templates'] = 'Templates (Modelle)';
-$lang['Extend for templates'] = 'Erweitere für Templates';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Ersetzte originale Templates';
+$lang['Extend for templates'] = 'Vorlagenerweiterung';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Ersetzen von Originalvorlagen durch angepasste Vorlagen im Ordner template-extension';
 
-$lang['Replacers (customized templates)'] = 'Veränderte (Templates geändert)';
+$lang['Replacers (customized templates)'] = 'Replacer (angepasste Vorlagen)';
 $lang['Original templates'] = 'Originales Templates';
 $lang['Optional URL keyword'] = 'Optionale Parameter in der URL';
@@ -685,5 +685,5 @@
 $lang['Download'] = 'Herunterladen';
 $lang['Webmaster status is required.'] = 'Sie benötigen Webmaster-berechtigung.';
-$lang['Bound Theme'] = 'Zugewiesenes Layout';
+$lang['Bound Theme'] = 'Zugewiesene Vorlage';
 $lang['Allow rating'] = 'Abstimmung zulassen';
 $lang['Select at least one comment'] = 'Wählen Sie mindestens ein Kommentar aus';
Index: /trunk/language/de_DE/help/extend_for_templates.html
===================================================================
--- /trunk/language/de_DE/help/extend_for_templates.html	(revision 9777)
+++ /trunk/language/de_DE/help/extend_for_templates.html	(revision 9778)
@@ -1,77 +1,71 @@
-<h2>Konfiguration zu "erweitern" die Templates</h2>
+<h2>Konfiguration Vorlagenerweiterung</h2>
 
 <h3>Ziel</h3>
-<p>Festlegung der Bedingungen, die zur Ersetzung des Templates (Vorlage) ab Template-Erweiterung
-(Template "replacer" (Stellvertreter)).</p>
+<p>Festlegung der Bedingungen zum Ersetzen jeder Vorlage mit einer sogenannten Vorlagenerweiterung ("Replacer" genannte Vorlage).</p>
 
-<p>"Templates Ursprungs" aus./template/yoga (oder einem anderen Ordner wie "yoga")
-  durch einen Stellvertreter, wenn dieser im Zusammenhang mit seiner ursprünglichen Vorlage
-  (und auf freiwilliger Basis, wenn die Adresse (URL) beantragt enthält eine URL contains eine optionale Parameter in der URL ").</p>
+<p>Die "Originalvorlage" aus ./themes/default/template (oder jede andere Vorlage) wird mit dem sogenannten "Replacer" ersetzt,
+wenn dieser "Replacer" mit der "Originalvorlage" verlinked ist (oder wenn die URL ein definiertes Schlüsselwort enthält).</p>
 
-<p>Die "optionale Parameter in der URL" sind die das sie finden nach dem Namen des Moduls in die Adresse (URL).</p>
+<p>Diese Schlüsselwörter befinden sich nach dem Modulnamen in der URL.</p>
 
-<p>So ein "Optionale Parameter in der URL" kann ein "permalink" aktiv
-(siehe permalinks in unserer Dokumentation für weitere Informationen).</p>
+<p>Diese URL Schlüsselwörter können auch sogenannte "Permalinks" sein (Lesen Sie den Bereich über Permalinks in der Dokumentation für nähere Informationen).</p>
 
-<p>Lesen Sie die `<a href="#warnings">Warnungen</a>` zu den Nutzungsbedingungen.</p>
+<p>Lesen Sie das Kapitel `<a href="#warnings">Warnungen</a>` zum Thema Nutzungsbedingungen.</p>
 
-<h3>Was sind Template-Erweiterungen?</h3>
+<h3>Was sind Vorlagenerweiterungen?</h3>
 
-<p>Diese Konfiguration ist ein leistungsfähiges Werkzeug für Einsteiger und fortgeschrittene Anwender.
-Mit dem FTP, in der Vorlage-Erweiterung Ordner, der Webmaster kann Duplikat eine Menge von
-  der verteilt. tpl-Dateien ( "Original-Vorlage") mit einem anderen Namen
-  ( "Replacer").
+<p>Vorlagenerweiterungen sind ein leistungsfähiges Werkzeug für Einsteiger und fortgeschrittene Anwender.
+Über einen FTP Zugang kann der Webmaster die mitgelieferten .tpl Dateien ("Originalvorlagen") unter einem neuen Namen
+in den Ordner template-extension kopieren ("Replacer").
  
-  "Original-Vorlagen", aktuelle Original-Vorlagen unterstützt werden:</p>
+  "Originalvorlagen", aktuelle unterstützte Originalvorlagen sind:</p>
 <ul>
   <li><span class="filename">index.tpl</span></li>
-  <li><span class="filename">mainpage_categories.tpl</span> and/or <span class="filename">thumbnails.tpl</span></li>
+  <li><span class="filename">mainpage_categories.tpl</span> und/oder <span class="filename">thumbnails.tpl</span></li>
   <li><span class="filename">menubar.tpl</span></li>
-  <li><span class="filename">header.tpl</span> and/or <span class="filename">footer.tpl</span></li>
-  <li><span class="filename">picture_content.tpl</span> and/or <span class="filename">picture.tpl</span></li>
+  <li><span class="filename">header.tpl</span> und/oder <span class="filename">footer.tpl</span></li>
+  <li><span class="filename">picture_content.tpl</span> und/oder <span class="filename">picture.tpl</span></li>
   <!-- <li><span class="filename">slideshow.tpl</span></li> -->
-  <li><span class="filename">profile.tpl</span> and/or <span class="filename">profile_content.tpl</span></li>
+  <li><span class="filename">profile.tpl</span> und/oder <span class="filename">profile_content.tpl</span></li>
   <li><span class="filename">tags.tpl</span></li>
   <li><span class="filename">upload.tpl</span></li>
   <li><span class="filename">about.tpl</span></li>
   <li><span class="filename">popuphelp.tpl</span></li>
-  <li><span class="filename">search.tpl</span> and/or <span class="filename">search_rules.tpl</span></li>
-  <li><span class="filename">nbm.tpl</span> and/or <span class="filename">notification.tpl</span></li>
-  <li><span class="filename">identification.tpl</span> and/or <span class="filename">register.tpl</span></li>
+  <li><span class="filename">search.tpl</span> und/oder <span class="filename">search_rules.tpl</span></li>
+  <li><span class="filename">nbm.tpl</span> und/oder <span class="filename">notification.tpl</span></li>
+  <li><span class="filename">identification.tpl</span> und/oder <span class="filename">register.tpl</span></li>
   <li><span class="filename">redirect.tpl</span></li>
 </ul>
 
-<h3>Wo finde ich "Original-Vorlagen"?</h3>
+<h3>Wo finde ich "Originalvorlagen"?</h3>
 
-<p>Verteilte Original-Vorlagen sind in template /yoga/
-(nicht bearbeiten sie im Ort für Upgrade Perspektiven). Also mit "Original-Vorlagen",
-jeder Webmaster kann seine "replacers (benutzerdefinierte Vorlagen)".</p>
+<p>Mitgelieferte Originalvorlagen befinden sich im Ordner /themes/default/template/ (Verändern Sie nie die
+mitgelieferten Vorlagen, da sonst Probleme bei späteren Upgrades auftreten können). Jeder Webmaster kann Kopien der
+Originalvorlagen anfertigen (sogenannte "Replacer (angepasste Vorlagen)") und diese nach seinen Wünschen anpassen.</p>
 
-<h3>Wo kann ich sparen "replacers"?</h3>
+<h3>Wo kann ich "Replacers" speichern?</h3>
 
-<p><strong>Replacers (benutzerdefinierte Vorlagen)</strong> sind in der
-Template-Erweiterung Ordner (oder in seinen Unterordnern).
-Replacers kann eine beliebige Datei mit der Erweiterung. Tpl-Erweiterung. Zum Beispiel: <span
-class="Dateiname">template-extension/my-extension/video.tpl</span>.</p>
+<p><strong>Replacers (angepasste Vorlagen)</strong> müssen sich im oder unterhalb des Ordners
+template-extension befinden. Replacers können einen beliebigen Dateinamen mit der Endung .tpl habe,
+zum Beispiel: <span class="Dateiname">template-extension/my-extension/video.tpl</span>.</p>
 
 
-<h3>Wie aktiviere ich meine "Ersatz"?</h3>
-<p>Ein <strong>Original-Vorlage</strong> sollte für jede
-  <strong>Replacer (benutzerdefinierte Vorlagen)</strong>, um die damit verbundenen Ersatz.
-  Dies ist das Ziel der "Extend für Vorlagen" in der Konfiguration Administration Menü.</p>
+<h3>Wie aktiviere ich meinen "Replacer"?</h3>
+<p>Jedem <strong>Replacer (angepasste Vorlage)</strong> sollte eine <strong>Originalvorlage</strong> 
+zugewiesen werden, damit dieser Replacer aktiviert wird. 
+Diese Konfiguration wird im Administrationsmenü über die "Vorlagenerweiterung" durchgeführt.</p>
 
-<p>Wenn Sie ein <strong>optional URL Keyword</strong>, dann Ersatz
-werden jeweils nur auf Seiten mit diesem Keyword. Zum Beispiel: <span 
-class="pwgScreen">index.php? /<strong> most_visited</strong></span></p>
+<p>Wenn Sie ein <strong>URL Schlüsselwort</strong> definieren, wird der Replacer
+nur auf Seiten angewendet, die dieses Schlüsselwort in der URL enthalten. Zum Beispiel: <span 
+class="pwgScreen">index.php?/<strong> most_visited</strong></span></p>
   
-<p>Advanced-User nutzen werden Dauerlinks als <strong>optional URL Keyword</strong>.</p>
+<p>Fortgeschrittene Benutzer verwenden sogenannte Permalinks als <strong>URL Schlüsselwörter</strong>.</p>
 
-<!-- TODO -->
-<p>If you select a <strong>Bound template</strong> then replacements will be operate only on this template.</p>
+<p>Wenn Sie eine <strong>zugewiesene Vorlage</strong> ausgewählt haben, wird Ihr Replacer an dieser Vorlage angewendet.</p>
 
-<h3>Wie kann ich deaktivieren meine "replacers"?</h3>
+<h3>Wie kann ich meine "Replacers" deaktivieren?</h3>
 <ul>
-<li>Ausschluss der "Template Herkunft".</li>
-<li>Per FTP löschen "ersetzt".</li>
+<li>Deaktivieren Sie die Verbindung zwischen Ihrem Replacer und der "Originalvorlage".</li>
+<li>Löschen Sie Ihren "Replacer" über Ihren FTP Zugang.</li>
 </ul>
 <a name="warnings"></a>
@@ -79,22 +73,22 @@
 <ul>
 
-  <li><strong>Original-Vorlage</strong> muss das "Original"-Vorlage
-   ansonsten können unvorhersehbare Ergebnisse!</li>
+  <li>Die definierte <strong>Originalvorlage</strong> muss wirklich die kopierte Vorlage des Replacers sein, sonst kann
+  der Einsatz des Replacers unvorhersehbare Auswirkungen haben!</li>
 
-  <li>Auf mehreren <strong>replacers (benutzerdefinierte Vorlagen)</strong> mit dem
-   gleichen <strong>Original-Vorlage</strong> und die gleichen <strong>optional URL
-   Keyword</strong> nur die letzte Replacer aktiv ist.</li>
+  <li>Wenn Sie mehrere <strong>Replacers (angepasste Vorlagen)</strong> mit der
+   selben <strong>Originalvorlage</strong> und den selben <strong>URL Schlüsselwörtern</strong>
+  verwenden, wird nur der letzte Replacer der Liste angewendet.</li>
 
-  <li>Nicht selektierte <strong>optional URL Keyword</strong> wird die aktive Replacer
-   auf jeder Vorlage Nutzung. Wie vorherigen Punkt, um können vorherigen
-   ausgewählten replacers.</li>
+  <li>Wird kein <strong>URL Schlüsselwort</strong> ausgewählt, wird der aktive Replacer
+   auf jede Vorlage angwendet. Wie vorhin angemerkt, kann die Reihenfolge der Replacer deren
+  Anwendung beeinflussen.</li>
 
   <li>Unterordner:
-Unterordner werden ignoriert, aber sie sind nützlich, eine Änderung der derzeitigen Reihenfolge. <br />
-distributed-Proben: für Test-Zwecke verteilt werden!
-<strong>nicht bearbeiten</strong> Erstellen Sie Ihren eigenen sind.
+Unterordner werden ignoriert, aber sie können verwendet werden, um die Reihenfolge zu verändern. <br />
+distributed-samples: werden für Testzwecke mitgeliefert!
+<strong>Nicht bearbeiten</strong>, erstellen Sie Ihre eigenen!
 </li>
 
-  <li>Am löschen eines Replacer <strong>der Original-Vorlage</strong> ist
+  <li>Wenn Sie einen Replacer löschen, wird die <strong>Originalvorlage</strong> 
    sofort reaktiviert.</li>
 