Index: /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 9780)
@@ -61,2 +61,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Potřebujete pomoc ? Zeptejte se na <a href="%s">Piwigo fóru</a>.';
Index: /extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde zum ersten mal kodiert für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Danke!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Frage auf der <a href="%s"> Forum Piwigo </ a>.';
Index: /extensions/netinstall/trunk/language/en_UK/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Need help? Ask your question on <a href=\"%s\">Piwigo message board</a>.";
Index: /extensions/netinstall/trunk/language/es_ES/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Este instalador inicialmente ha sido codificado para <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. ¡Gracias!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = '¿ Necesidad de ayuda? Plantee su pregunta sobre él <a href="%s">foro de Piwigo</a>.';
Index: /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Cet installeur a initialement été codé pour <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Merci!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Besoin d'aide ? Posez votre question sur le <a href=\"%s\">forum de Piwigo</a>.";
Index: /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Ez a betöltő eredetileg a <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a> számára lett kódolva. Köszönjük!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Segítségre van szüksége ? Kérdéseit itt teheti fel: <a href="%s">Piwigo üzenőfal</a>.';
Index: /extensions/netinstall/trunk/language/it_IT/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Questo installatore automatico è stato inizialmente creato per <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Grazie!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Avete bisogno di aiuto? Visitate il <a href=\"%s\">forum di Piwigo</a>.';
Index: /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Šī platforma sākotnēji bija kodēta priekš <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Paldies!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = "Vajag palidzibu? Uzdodiet savu jautajumu <a href=\"%s\">Piwigo sludinajumos</a>.";
Index: /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Oryginalnie instalator został przygotowany dla <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Dziekujemy!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Potrzebujesz pomocy ? Zadaj pytanie na <a href="%s">Forum Piwigo</a>.';
Index: /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Этот загрузчик был разработан на основе <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Спасибо!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Нужна помощь? Задайте свои вопросы на <a href="%s">Форуме Piwigo</a>.';
Index: /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 9780)
@@ -60,2 +60,4 @@
 
 $lang['This loader was initialy coded for Dotclear. Thanks!'] = 'Bu yükleyicinin ilk geliştiricisi Dotclear. Teşekkürler!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Yardım ihtiyacınız var? Sorularınızı <a href="%s">Piwigo forumda sorabilirsiniz</a>.';
Index: /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt
===================================================================
--- /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 9779)
+++ /extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 9780)
@@ -59,2 +59,4 @@
 
 $lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = '这种安装方式的最初原码是在 <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>。 感谢!';
+
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = '需要帮助？ 请到<a href="%s">Piwigo论坛</a>提出你的问题.';
Index: /extensions/netinstall/trunk/loader.css
===================================================================
--- /extensions/netinstall/trunk/loader.css	(revision 9779)
+++ /extensions/netinstall/trunk/loader.css	(revision 9780)
@@ -16,42 +16,35 @@
 
 body {
-  background: #111111 url(images/bottom-left-bg.jpg) no-repeat fixed left bottom;
-  color: #666666;
+  background-color: #F9F9F9;
+  color: #777777;
   margin: 0;
   padding: 0;
   min-width: 60em;
-  font-family: Univers,Helvetica,Optima,"Bitstream Vera Sans",sans-serif;
-  font-size: 0.8em;
-  text-align: center;
-}
-
-#headbranch {
-  background: transparent url(images/top-left-bg.jpg) no-repeat scroll left top;
-  height: 240px;
-  left: 0;
-  margin: 0;
-  padding: 0;
-  position: absolute;
-  top: 0;
-  width: 233px;
-  z-index: -1;
+  font-family: "Lucida Grande",Verdana,Arial,"Bitstream Vera Sans",sans-serif;
+  font-size: 12px;
 }
 
 #theHeader {
-  background: transparent url(images/piwigo_logo_sombre_214x100.png) no-repeat scroll 245px top;
-  margin: 0;
-  min-height: 105px;
+  background: url("images/piwigo_logo_big.png") no-repeat scroll center 20px transparent;
+  display: block;
+  height: 100px;
+}
+
+#content {
+  margin: auto;
+  margin-top: 9px;
+  width: 800px;
   padding: 0;
 }
 
-#content {
-  background: #222222 url(images/fillet.png) repeat-x scroll left top;
-  margin: auto;
-  margin-top: 9px;
-  text-align: left;
-  width: 800px;
-  padding: 25px;
-  z-index: 99;
-  color: #666666;
+fieldset {
+  margin-top:20px;
+  background-color:#f1f1f1;
+  border:2px solid #dddddd;
+}
+
+legend {
+    font-weight: bold;
+    letter-spacing: 2px;
 }
 
@@ -63,20 +56,9 @@
 }
 
-h2 {
-  color: #666666;
-  font-weight: bold;
-  letter-spacing: 2px;
-  text-align: right;
-  text-transform: none;
-  width: 54%;
-  display: block;
-  font-size: 28px;
-  height: 104px;
-  margin: 0 20px;
-  overflow: hidden;
-  padding: 0;
-  position: absolute;
-  right: 0;
-  top: 0;
+#content h2 {
+  display:block;
+  font-size:20px;
+  text-align:center;
+  /* margin-top:5px; */
 }
 
@@ -84,29 +66,33 @@
   font-size: 15px;
   font-weight: bold;
+  margin:0;
 }
 
-select, input {
-  border: 1px solid #666666;
-  background-color: #444444;
-  color: #999999;
-  font-size: 1em;
-  margin: 0;
+input[type="submit"], input[type="button"], a.bigButton {
+  font-size:14px;
+  font-weight:bold;
+  letter-spacing:2px;
+  border:none;
+  background-color:#666666;
+  color:#fff;
+  padding:5px;
+  -moz-border-radius:5px;
 }
 
-input[type="submit"] {
-  text-align: center;
-  background-color: #222222;
-  border-color: #FF3363;
-  color: #FF3363;
+input[type="submit"]:hover, input[type="button"]:hover, a.bigButton:hover {
+  background-color:#ff7700;
+  color:white;
 }
 
-input[type="submit"]:hover {
-  cursor: pointer;
-  color: #999;
-  border-color: #666;
+input[type="text"], input[type="password"], select {
+  background-color:#ddd;
+  border:2px solid #ccc;
+  -moz-border-radius:5px;
+  padding:2px;
 }
 
-label {
-  color: #ff3363
+input[type="text"]:focus, input[type="password"]:focus, select:focus {
+  background-color:#fff;
+  border:2px solid #ff7700;
 }
 
@@ -128,12 +114,22 @@
 
 .msg {
-  padding: 3px 35px;
+  margin:20px 20px 10px 20px;
+  padding: 5px 10px 5px 60px;
+  background-position:5px 5px;
+  background-repeat:no-repeat;
+  -moz-border-radius:5px;
+  -webkit-border-radius:5px;
+  -border-radius:5px;
 }
 
 .notice {
-  color: #f70;
+  color: #ee8800;
+  background-image:url("images/notice.png");
+  background-color:#ffdd99;
 }
 
 .warning {
-  color: #f30;
+  color: #ff2222;
+  background-image:url("images/warning.png");
+  background-color:#ffd5dc;
 }
Index: /extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 9779)
+++ /extensions/netinstall/trunk/piwigo-netinstall.php	(revision 9780)
@@ -33,4 +33,15 @@
 );
 
+$url_subdomain_for_language = array(
+  'fr_FR' => 'fr',
+  'es_ES' => 'es',
+  'it_IT' => 'it',
+  'de_DE' => 'de',
+  'pl_PL' => 'pl',
+  'zh_CN' => 'cn',
+  'hu_HU' => 'hu',
+  'ru_RU' => 'ru',
+  );
+
 // +-----------------------------------------------------------------------+
 
@@ -229,5 +240,4 @@
 	'</head>'."\n".
 	'<body>'."\n".
-	'<div id="headbranch"></div>'."\n".
 	'<div id="theHeader"></div>'."\n".
 	'<div id="content">'."\n".
@@ -237,8 +247,16 @@
 function closePage()
 {
+  global $url_subdomain_for_language;
+
+  $prefix = '';
+  if (isset($url_subdomain_for_language[DC_LOADER_LANG]))
+  {
+    $prefix = $url_subdomain_for_language[DC_LOADER_LANG].'.';
+  }
+  
 	echo
-	'</div>'."\n".
-	'<div id="footer">'."\n".
-	l10n('This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!')."\n".
+        '<div style="text-align:center">'.
+          sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), 'http://'.$prefix.'piwigo.org/forum').
+        "</div>\n".
 	'</div>'."\n".
 	'</body>'."\n".
@@ -334,5 +352,5 @@
 	}
 
-	echo
+	echo 
 	'<div class="msg '.$level.'">'."\n".
 	'<h3>'.$title.'</h3>'."\n".
@@ -377,5 +395,5 @@
 	{
 		openPage();
-		echo '<h3>'.l10n('Welcome to NetInstall!').'</h3>'."\n";
+		echo '<fieldset><legend>'.l10n('Welcome to NetInstall!').'</legend>'."\n";
 
 		// Show available languages
@@ -420,4 +438,5 @@
 			);
 		}
+                echo '</fieldset>';
 		closePage();
 		break;
@@ -511,5 +530,5 @@
 					$redir = preg_replace('#/+#','/',str_replace('\\', '/', dirname($_SERVER['SCRIPT_NAME'])).'/'.$dest.'/install.php');
 
-					$text = '<h3>'.l10n('Congratulations!').'</h3>'
+					$text = '<fieldset><legend>'.l10n('Congratulations!').'</legend>'
 					.'<p>'.l10n('Everything went fine. You are now ready to start the installation procedure.').'</p>'
 					.'<form action="'.$redir.'" method="get"><p class="button">'
@@ -517,4 +536,6 @@
 					. '<input type="submit" value="'.l10n('Install Piwigo now').'" />'
 					. '</p></form>';
+
+                                        $text.= '</fieldset>';
 				}
 			}