Index: extensions/meta/initadmin.php
===================================================================
--- extensions/meta/initadmin.php	(revision 9475)
+++ extensions/meta/initadmin.php	(revision 9781)
@@ -107,7 +107,9 @@
 function metaAadminfT($content, &$smarty)
  {
-  $search = '#<fieldset id="options">#';
+  $search = '#name="reset">
+</p>#';
   
-  $replacement = '
+  $replacement = 'name="reset">
+</p>
 
   	<div>
@@ -127,5 +129,4 @@
 		</form>
 	</div>
-  <fieldset id="options">
   ';
 
Index: extensions/meta/language/pl_PL/description.txt
===================================================================
--- extensions/meta/language/pl_PL/description.txt	(revision 9781)
+++ extensions/meta/language/pl_PL/description.txt	(revision 9781)
@@ -0,0 +1,1 @@
+Umożliwia dodanie metadanych
Index: extensions/meta/language/pl_PL/index.php
===================================================================
--- extensions/meta/language/pl_PL/index.php	(revision 9781)
+++ extensions/meta/language/pl_PL/index.php	(revision 9781)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/meta/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/meta/language/pl_PL/plugin.lang.php	(revision 9781)
+++ extensions/meta/language/pl_PL/plugin.lang.php	(revision 9781)
@@ -0,0 +1,46 @@
+<?php
+
+//tab gest
+$lang['meta_onglet_gestion'] = 'Metadane';
+$lang['meta_desh3'] = 'Dodaj metadane do wszystkich stron';
+$lang['meta_name'] = 'Nazwa metadanych';
+$lang['meta_select'] = 'Wybierz metadane do edycji';
+$lang['meta_choix'] = 'Edytuj metadane';
+$lang['meta_list'] = 'Metadane: ';
+$lang['meta_select2'] = 'Wybierz metadane';
+$lang['meta_description'] = 'opis';
+$lang['meta_diff_val'] = 'Możliwa wartość';
+$lang['meta_comp'] = 'Metadane do uzupełnienia';
+$lang['meta_insmeta'] = 'wstaw metadane';
+
+//edit
+$lang['Metadata - Plugin meta'] = 'Metadane - Plugin meta';
+$lang['meta_compimg'] = 'Słowa kluczowe zdjęcia, które będą uzupełniane';
+$lang['meta_compimgdes'] = 'Opis zdjęcia, który ma być zastąpiony innym';
+$lang['meta_inscat'] = 'Wstaw metadane';
+$lang['meta_compcatdeshelp'] = 'Zastąpione zostaną wszystkie opisy';
+$lang['meta_compcat'] = 'Słowa kluczowe kategorii do uzupełnienia';
+$lang['meta_compcatdes'] = 'Opis kategorii, który ma być zastąpiony innym';
+
+//tab description
+$lang['meta_onglet_description'] = ' Opis Metadane';
+$lang['meta_author'] = 'Opis meta Autor';
+$lang['meta_author_help'] = 'Informacja o autorze<br>
+Informacja o autorze strony';
+$lang['meta_keywords'] = 'Opis meta słów kluczowych';
+$lang['meta_keywords_help'] = '"Słowo kluczowe, słowo kluczowe, itd. "<br>
+Keywords describing the web page. (Separated by a comma)';
+$lang['meta_Description'] = 'Opis meta Opis ';
+$lang['meta_Description_help'] = 'Opis twojej strony<br>
+Pozwala na dodanie informacji do postu podczas wyszukiwania';
+$lang['meta_robots'] = 'Opis meta robotów'; 
+$lang['meta_robots_help'] = '
+all : Pozwala (domyślnie) robotom na tworzenie referencji do całej strony <br>
+follow : Pozwala robotom śledzić linki na stronie <br>
+index : Pozwala robotom indeksować stronę <br>
+nofollow : Zabrania robotom śledzenie linków <br>
+noindex : Zabrania robotom indeksować stronę <br>
+none : Zapobiega przed kontynuowaniem indeksowania strony przez roboty <br> 
+';
+
+?>