Index: extensions/FacebookPlug/Plugin/language/sk_SK/admin.config.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/sk_SK/admin.config.lang.php	(revision 9457)
+++ 	(revision )
@@ -1,101 +1,0 @@
-<?php
-// +-----------------------------------------------------------------------+
-// | FacebookPlug - a Piwigo Plugin                                        |
-// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-if (!defined('PHPWG_ROOT_PATH'))
-{
-  die('Hacking attempt!');
-}
-
-// English
-$lang['page'] = 'strana';
-$lang['image'] = 'fotografia';
-$lang['standard'] = 'štandard';
-$lang['button_count'] = 'tlačidlo_počítadla';
-$lang['box_count'] = 'box_počítadla';
-$lang['like'] = 'páči sa mi';
-$lang['recommend'] = 'potrebné';
-$lang['light'] = 'svetlé';
-$lang['dark'] = 'tmavé';
-$lang['Social plugins'] = 'Sociálne doplnky';
-$lang['Advanced'] = 'Pokročilé';
-$lang['Asynchronous Facebook access'] = 'Asynchronovaný Facebook prístup';
-$lang['Like button'] = 'Tlačidlo Páči sa mi';
-$lang['Enabled'] = 'Povolené';
-$lang['Picture URL type'] = 'URL typ fotografie';
-$lang['Layout style'] = 'Schéma štýlu';
-$lang['Show faces'] = 'Zobraz tváre';
-$lang['Verb to display'] = 'Zobraziť slovo';
-$lang['Color scheme'] = 'Farebná schéma';
-$lang['Like box'] = 'Box páči sa mi';
-$lang['Show stream'] = 'Ukázať chod';
-$lang['Show header'] = 'Ukázať hlavičku';
-$lang['Facebook Page URL'] = 'URL stránka Facebooku';
-$lang['Data updated with success'] = 'Dáta úspešne aktualizované';
-$lang['Data updated with error'] = 'Dáta aktualizované s chybou';
-$lang['Facepile'] = 'Facepile';
-$lang['on slideshow pages'] = 'on slideshow pages';
-$lang['Num rows'] = 'Počet stĺpcov';
-$lang['Comments'] = 'Komentáre';
-$lang['Num posts'] = 'Počet poslaných';
-$lang['Title'] = 'Názov';
-$lang['Simple'] = 'Jednoduché';
-$lang['Reverse'] = 'Opačné';
-$lang['Publish feed'] = 'Publikovať feed';
-$lang['Facebook application identifient'] = 'Facebook aplikácia identifikovaná';
-$lang['On picture pages'] = 'Na stránkach fotografií';
-$lang['On menu of main pages'] = 'V menu mojich stránkach';
-$lang['Options'] = 'Voľby';
-$lang['Like button and comments cannot be enabled together'] = 'Tlačidlo páči sa mi a komentáre nemôžu byť povolené súčasne';
-$lang['enabled values are restored'] = 'povolené hodnoty sú obnovené';
-$lang['Informations'] = 'Informácie';
-$lang['Continue'] = 'Pokračovať';
-$lang['Always initialize Facebook'] = 'Stále inicializovaný Facebook';
-$lang[' (?)'] = ' (?)';
-$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Užitočné pre oosobné šablóny, doplnky. Udalosť, ak bola definovaná pre doplnky.';
-$lang['Allow Facebook to see private page'] = 'Povoliť vidieť Facebook na súkromných stránkach';
-$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Odporúčané zoradiť na Facebooku podľa názvu, ... na Vašich stránkach';
-$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Vyplniť, len ak chcete použiť špeciálnu Facebook aplikáciu. Odporáčame nechať prázdne.';
-$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Povoliť stránke referovať stránke a Facebooku posielať informácie (názov, ...). Povoliť fotografii referovať url fotografie a Facebooku nedovoliť posielať informácie ale pracovať vždy so súkromnými albumami.';
-$lang['Promote'] = 'Propagovať';
-$lang['Add informations on about page'] = 'Pridať informácie na stránku o mne';
-$lang['Add a paragraph with Facebook link on about page'] = 'Pridať článok s Facebook linkom na stránku o mne';
-$lang['Add Facebook Piwigo group on footer'] = 'Pridať Facebook Piwigo skupinu na spodok stránky';
-$lang['Add a link on each page footer'] = 'Pridať link na spodok každej stránky';
-$lang['Add Facebook Piwigo application on footer'] = 'Pridať Facebook Piwigo aplikáciu na spodok stránky';
-$lang['Develop by'] = 'Vytvorené';
-$lang['Activity feed'] = 'Činnosť feed';
-$lang['Show recommendations'] = 'Zobraziť odporúčania';
-$lang['Height'] = 'Výška';
-$lang['Other options are available by programming'] = 'Ďalšie voľby sú dostupné pri programovaní';
-$lang['Activity'] = 'Aktivity';
-$lang['Share'] = 'Zdieľať';
-$lang['Share picture page'] = 'Zdieľať stránku fotografií';
-$lang['Add a icon link on each picture page to share on Facebook'] = 'Pridať ikonu zdieľania na Facebook na každú stránku fotografií';
-$lang['Share album page'] = 'Zdieľať stránku albumu';
-$lang['Add a icon link on each album page to share on Facebook'] = 'Pridať ikonu zdieľania na Facebook na každú stránku albumu';
-$lang['Buttons'] = 'Tlačidlá';
-$lang['Upload'] = 'Nahrať';
-$lang['Upload picture'] = 'Nahrať fotografiu';
-$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Pridať ikonu nahrávania fotografie na Facebook na každú stránku fotografií';
-//~ $lang[''] = '';
-//~ $lang[''] = '';
-//~ $lang[''] = '';
-
-?>
Index: extensions/FacebookPlug/Plugin/language/sk_SK/admin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/sk_SK/admin.lang.php	(revision 9795)
+++ extensions/FacebookPlug/Plugin/language/sk_SK/admin.lang.php	(revision 9795)
@@ -0,0 +1,101 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | FacebookPlug - a Piwigo Plugin                                        |
+// | Copyright (C) 2010-2011 Ruben ARNAUD - rub@piwigo.org                 |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+// English
+$lang['page'] = 'strana';
+$lang['image'] = 'fotografia';
+$lang['standard'] = 'štandard';
+$lang['button_count'] = 'tlačidlo_počítadla';
+$lang['box_count'] = 'box_počítadla';
+$lang['like'] = 'páči sa mi';
+$lang['recommend'] = 'potrebné';
+$lang['light'] = 'svetlé';
+$lang['dark'] = 'tmavé';
+$lang['Social plugins'] = 'Sociálne doplnky';
+$lang['Advanced'] = 'Pokročilé';
+$lang['Asynchronous Facebook access'] = 'Asynchronovaný Facebook prístup';
+$lang['Like button'] = 'Tlačidlo Páči sa mi';
+$lang['Enabled'] = 'Povolené';
+$lang['Picture URL type'] = 'URL typ fotografie';
+$lang['Layout style'] = 'Schéma štýlu';
+$lang['Show faces'] = 'Zobraz tváre';
+$lang['Verb to display'] = 'Zobraziť slovo';
+$lang['Color scheme'] = 'Farebná schéma';
+$lang['Like box'] = 'Box páči sa mi';
+$lang['Show stream'] = 'Ukázať chod';
+$lang['Show header'] = 'Ukázať hlavičku';
+$lang['Facebook Page URL'] = 'URL stránka Facebooku';
+$lang['Data updated with success'] = 'Dáta úspešne aktualizované';
+$lang['Data updated with error'] = 'Dáta aktualizované s chybou';
+$lang['Facepile'] = 'Facepile';
+$lang['on slideshow pages'] = 'on slideshow pages';
+$lang['Num rows'] = 'Počet stĺpcov';
+$lang['Comments'] = 'Komentáre';
+$lang['Num posts'] = 'Počet poslaných';
+$lang['Title'] = 'Názov';
+$lang['Simple'] = 'Jednoduché';
+$lang['Reverse'] = 'Opačné';
+$lang['Publish feed'] = 'Publikovať feed';
+$lang['Facebook application identifient'] = 'Facebook aplikácia identifikovaná';
+$lang['On picture pages'] = 'Na stránkach fotografií';
+$lang['On menu of main pages'] = 'V menu mojich stránkach';
+$lang['Options'] = 'Voľby';
+$lang['Like button and comments cannot be enabled together'] = 'Tlačidlo páči sa mi a komentáre nemôžu byť povolené súčasne';
+$lang['enabled values are restored'] = 'povolené hodnoty sú obnovené';
+$lang['Informations'] = 'Informácie';
+$lang['Continue'] = 'Pokračovať';
+$lang['Always initialize Facebook'] = 'Stále inicializovaný Facebook';
+$lang[' (?)'] = ' (?)';
+$lang['Useful for personal templates, plugins. A event if also defined for plugins.'] = 'Užitočné pre oosobné šablóny, doplnky. Udalosť, ak bola definovaná pre doplnky.';
+$lang['Allow Facebook to see private page'] = 'Povoliť vidieť Facebook na súkromných stránkach';
+$lang['Recommended in order to Facebook get title, ... of your pages for wall display'] = 'Odporúčané zoradiť na Facebooku podľa názvu, ... na Vašich stránkach';
+$lang['To fill only if you want to use a specific Facebook application. It\'s recommended to leave blank.'] = 'Vyplniť, len ak chcete použiť špeciálnu Facebook aplikáciu. Odporáčame nechať prázdne.';
+$lang['Page type allows to reference the page and Facebook can get informations (title, ...). Image type allows to reference image url and Facebook cannot get informations but works always with private albums.'] = 'Povoliť stránke referovať stránke a Facebooku posielať informácie (názov, ...). Povoliť fotografii referovať url fotografie a Facebooku nedovoliť posielať informácie ale pracovať vždy so súkromnými albumami.';
+$lang['Promote'] = 'Propagovať';
+$lang['Add informations on about page'] = 'Pridať informácie na stránku o mne';
+$lang['Add a paragraph with Facebook link on about page'] = 'Pridať článok s Facebook linkom na stránku o mne';
+$lang['Add Facebook Piwigo group on footer'] = 'Pridať Facebook Piwigo skupinu na spodok stránky';
+$lang['Add a link on each page footer'] = 'Pridať link na spodok každej stránky';
+$lang['Add Facebook Piwigo application on footer'] = 'Pridať Facebook Piwigo aplikáciu na spodok stránky';
+$lang['Develop by'] = 'Vytvorené';
+$lang['Activity feed'] = 'Činnosť feed';
+$lang['Show recommendations'] = 'Zobraziť odporúčania';
+$lang['Height'] = 'Výška';
+$lang['Other options are available by programming'] = 'Ďalšie voľby sú dostupné pri programovaní';
+$lang['Activity'] = 'Aktivity';
+$lang['Share'] = 'Zdieľať';
+$lang['Share picture page'] = 'Zdieľať stránku fotografií';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Pridať ikonu zdieľania na Facebook na každú stránku fotografií';
+$lang['Share album page'] = 'Zdieľať stránku albumu';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Pridať ikonu zdieľania na Facebook na každú stránku albumu';
+$lang['Buttons'] = 'Tlačidlá';
+$lang['Upload'] = 'Nahrať';
+$lang['Upload picture'] = 'Nahrať fotografiu';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Pridať ikonu nahrávania fotografie na Facebook na každú stránku fotografií';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+//~ $lang[''] = '';
+
+?>