Index: /trunk/language/it_IT/help/cat_perm.html
===================================================================
--- /trunk/language/it_IT/help/cat_perm.html	(revision 9800)
+++ /trunk/language/it_IT/help/cat_perm.html	(revision 9801)
@@ -1,5 +1,5 @@
 <h2>Gestire i permessi per una categoria</h2>
 
-<p>Questa schermata è disponibile soltanto per le categorie private. 
+<p>Questa pagina è disponibile soltanto per le categorie private. 
 Qui potete scegliere gli utenti e i gruppi autorizzati per questa 
 categoria.</p>
Index: /trunk/language/it_IT/help/configuration.html
===================================================================
--- /trunk/language/it_IT/help/configuration.html	(revision 9800)
+++ /trunk/language/it_IT/help/configuration.html	(revision 9801)
@@ -1,11 +1,11 @@
 <h2>Configurazione</h2>
 
-<p>Questa schermata permette di gestire la configurazione di base. 
-Infatti, questa schermata mostra soltanto i parametri che dovrebbero 
+<p>Questa pagina permette di gestire la configurazione di base. 
+Infatti, questa pagina mostra soltanto i parametri che dovrebbero 
 bastare per la maggiore parte degli amministratori. Se volete 
 vedere gli altri numerosi parametri di configurazione, leggete il file <span
 class="filename">include/config_default.inc.php</span>.</p>
 
-<p>Questa schermata è divisa in diverse sezioni, raggruppando i parametri 
+<p>Questa pagina è divisa in diverse sezioni, raggruppando i parametri 
 di configurazione per tema.</p>
 
@@ -44,5 +44,5 @@
 registrate nella tabella <code>history</code>.</p>
   
-  <p>Le visite sono mostrate nella schermata <span class="pwgScreen">Amministrazione, Speciale, Cronologia</span>.</p>
+  <p>Le visite sono mostrate nella pagina <span class="pwgScreen">Amministrazione, Speciale, Cronologia</span>.</p>
 
 <ul>
@@ -66,5 +66,5 @@
 i commenti degli utenti prima che questi possano essere visibili nella
 parte pubblica. L'approvazione dei commenti utente avviene nella
-schermata <span class="pwgScreen">Amministrazione, Immagini,
+pagina <span class="pwgScreen">Amministrazione, Immagini,
 Commenti</span>.</li>
 
@@ -74,5 +74,5 @@
   <li><strong>Notificare agli amministratori quando un commento richiede l'approvazione</strong>:
 Invio di un'email agli amministratori quando un utente scrive un commento che necessita di approvazione.
-L'approvazione dei commenti utente avviene nella schermata <span class="pwgScreen">Amministrazione, Immagine, Commenti</span>.</li>
+L'approvazione dei commenti utente avviene nella pagina <span class="pwgScreen">Amministrazione, Immagine, Commenti</span>.</li>
 
 </ul>
@@ -92,5 +92,5 @@
 
 <p>È possibile cambiare le impostazioni per gli utenti esistenti,
-in quest'altra schermata: <span class="pwgScreen">Amministrazione,
+in quest'altra pagina: <span class="pwgScreen">Amministrazione,
 Identificazione, Utenti</span>, in cui potete cambiare le impostazioni 
 degli utenti.</p>
Index: /trunk/language/it_IT/help/help_permissions.html
===================================================================
--- /trunk/language/it_IT/help/help_permissions.html	(revision 9800)
+++ /trunk/language/it_IT/help/help_permissions.html	(revision 9801)
@@ -22,5 +22,5 @@
 <p>Un utente che non dispone delle autorizzazioni per vedere il contenuto di una categoria, non vedrà la categoria e nemmeno il suo titolo. Lo stesso principio si applica a un tag.</p>
 
-<p>E' possibile impostare il livello di privacy di un utente nella schermata <span class="pwgScreen">Amministrazione &raquo; Utenti &raquo; Gestire</span>.</p>
+<p>E' possibile impostare il livello di privacy di un utente nella pagina <span class="pwgScreen">Amministrazione &raquo; Utenti &raquo; Gestire</span>.</p>
 
 </fieldset>
Index: /trunk/language/it_IT/help/user_list.html
===================================================================
--- /trunk/language/it_IT/help/user_list.html	(revision 9800)
+++ /trunk/language/it_IT/help/user_list.html	(revision 9801)
@@ -13,5 +13,5 @@
 per nome utente, in ordine cronologico o decrescente.</p>
 
-<p>In questa schermata si possono modificare più utenti alla volta :</p>
+<p>In questa pagina si possono modificare più utenti alla volta :</p>
 
 <ul>